Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060868 - [abrt] xarchiver: gdk_region_destroy(): xarchiver killed by SIGSEGV
Summary: [abrt] xarchiver: gdk_region_destroy(): xarchiver killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xarchiver
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5ae5f1f558f5723d4d787c05bb8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-03 19:19 UTC by Farkas Andras
Modified: 2015-06-29 14:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:58:33 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-03 19:19 UTC, Farkas Andras
no flags Details
File: cgroup (deleted)
2014-02-03 19:20 UTC, Farkas Andras
no flags Details
File: core_backtrace (deleted)
2014-02-03 19:20 UTC, Farkas Andras
no flags Details
File: dso_list (deleted)
2014-02-03 19:20 UTC, Farkas Andras
no flags Details
File: environ (deleted)
2014-02-03 19:20 UTC, Farkas Andras
no flags Details
File: exploitable (deleted)
2014-02-03 19:20 UTC, Farkas Andras
no flags Details
File: limits (deleted)
2014-02-03 19:20 UTC, Farkas Andras
no flags Details
File: maps (deleted)
2014-02-03 19:20 UTC, Farkas Andras
no flags Details
File: open_fds (deleted)
2014-02-03 19:20 UTC, Farkas Andras
no flags Details
File: proc_pid_status (deleted)
2014-02-03 19:20 UTC, Farkas Andras
no flags Details
File: var_log_messages (deleted)
2014-02-03 19:20 UTC, Farkas Andras
no flags Details

Description Farkas Andras 2014-02-03 19:19:54 UTC
Version-Release number of selected component:
xarchiver-0.5.2-18.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        xarchiver /home/afarkas/Downloads/ProPhoto2013.rar
crash_function: gdk_region_destroy
executable:     /usr/bin/xarchiver
kernel:         3.12.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 gdk_region_destroy at gdkregion-generic.c:365
 #3 recompute_visible_regions_internal at gdkwindow.c:991
 #5 recompute_visible_regions at gdkwindow.c:1119
 #6 gdk_window_show_internal at gdkwindow.c:6827
 #7 gdk_window_show at gdkwindow.c:7167
 #8 gtk_paned_size_allocate at gtkpaned.c:910
 #9 g_cclosure_marshal_VOID__BOXEDv at gmarshal.c:1160
 #10 _g_closure_invoke_va at gclosure.c:840
 #13 gtk_widget_size_allocate at gtkwidget.c:4122
 #14 gtk_box_size_allocate at gtkbox.c:500

Comment 1 Farkas Andras 2014-02-03 19:19:59 UTC
Created attachment 858812 [details]
File: backtrace

Comment 2 Farkas Andras 2014-02-03 19:20:01 UTC
Created attachment 858813 [details]
File: cgroup

Comment 3 Farkas Andras 2014-02-03 19:20:04 UTC
Created attachment 858814 [details]
File: core_backtrace

Comment 4 Farkas Andras 2014-02-03 19:20:09 UTC
Created attachment 858815 [details]
File: dso_list

Comment 5 Farkas Andras 2014-02-03 19:20:11 UTC
Created attachment 858816 [details]
File: environ

Comment 6 Farkas Andras 2014-02-03 19:20:13 UTC
Created attachment 858817 [details]
File: exploitable

Comment 7 Farkas Andras 2014-02-03 19:20:15 UTC
Created attachment 858818 [details]
File: limits

Comment 8 Farkas Andras 2014-02-03 19:20:18 UTC
Created attachment 858819 [details]
File: maps

Comment 9 Farkas Andras 2014-02-03 19:20:20 UTC
Created attachment 858820 [details]
File: open_fds

Comment 10 Farkas Andras 2014-02-03 19:20:23 UTC
Created attachment 858821 [details]
File: proc_pid_status

Comment 11 Farkas Andras 2014-02-03 19:20:26 UTC
Created attachment 858822 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 10:47:47 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 14:58:33 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.